TryCatchStatement (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.ast.stmt

## [Java] Class TryCatchStatement

- org.codehaus.groovy.ast.stmt.TryCatchStatement

- Represents a try { ... } catch () finally {} statement in Groovy

  Authors:
    James Strachan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CatchStatement` | `catchStatement`
    `Statement` | `finallyStatement`
    `Statement` | `tryStatement`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TryCatchStatement (Statement tryStatement, Statement finallyStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addCatch(CatchStatement catchStatement)`
    `` | `CatchStatement` | `getCatchStatement(int idx)` @return the catch statement of the given index or null
    `` | `List<CatchStatement>` | `getCatchStatements()`
    `` | `Statement` | `getFinallyStatement()`
    `` | `Statement` | `getTryStatement()`
    `` | `void` | `setCatchStatement(int idx, CatchStatement catchStatement)`
    `` | `void` | `setFinallyStatement(Statement finallyStatement)`
    `` | `void` | `setTryStatement(Statement tryStatement)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, getConnection, isClosed, cancel, clearWarnings, getFetchDirection, getFetchSize, getWarnings, setFetchDirection, setFetchSize, getResultSet, addBatch, clearBatch, closeOnCompletion, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap, isWrapperFor`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### CatchStatement catchStatement

    - #### Statement finallyStatement

    - #### Statement tryStatement

  - ### Constructor Detail

    - #### public TryCatchStatement(Statement tryStatement, Statement finallyStatement)

  - ### Method Detail

    - #### public void addCatch(CatchStatement catchStatement)

    - #### public CatchStatement getCatchStatement(int idx)

      Returns:
        the catch statement of the given index or null

    - #### public List<CatchStatement> getCatchStatements()

    - #### public Statement getFinallyStatement()

    - #### public Statement getTryStatement()

    - #### public void setCatchStatement(int idx, CatchStatement catchStatement)

    - #### public void setFinallyStatement(Statement finallyStatement)

    - #### public void setTryStatement(Statement tryStatement)

    - #### public void visit(GroovyCodeVisitor visitor)